CreateHttpMonitorDetails¶
- class oci.healthchecks.models.CreateHttpMonitorDetails(**kwargs)¶
Bases:
objectThe request body used to create an HTTP monitor.
Attributes:
A constant which can be used with the method property of a CreateHttpMonitorDetails.
A constant which can be used with the method property of a CreateHttpMonitorDetails.
A constant which can be used with the protocol property of a CreateHttpMonitorDetails.
A constant which can be used with the protocol property of a CreateHttpMonitorDetails.
[Required] Gets the compartment_id of this CreateHttpMonitorDetails.
Gets the defined_tags of this CreateHttpMonitorDetails.
[Required] Gets the display_name of this CreateHttpMonitorDetails.
Gets the freeform_tags of this CreateHttpMonitorDetails.
Gets the headers of this CreateHttpMonitorDetails.
[Required] Gets the interval_in_seconds of this CreateHttpMonitorDetails.
Gets the is_enabled of this CreateHttpMonitorDetails.
Gets the method of this CreateHttpMonitorDetails.
Gets the path of this CreateHttpMonitorDetails.
Gets the port of this CreateHttpMonitorDetails.
[Required] Gets the protocol of this CreateHttpMonitorDetails.
[Required] Gets the targets of this CreateHttpMonitorDetails.
Gets the timeout_in_seconds of this CreateHttpMonitorDetails.
Gets the vantage_point_names of this CreateHttpMonitorDetails.
Methods:
__init__(**kwargs)Initializes a new CreateHttpMonitorDetails object with values from keyword arguments.
- METHOD_GET = 'GET'¶
A constant which can be used with the method property of a CreateHttpMonitorDetails. This constant has a value of “GET”
- METHOD_HEAD = 'HEAD'¶
A constant which can be used with the method property of a CreateHttpMonitorDetails. This constant has a value of “HEAD”
- PROTOCOL_HTTP = 'HTTP'¶
A constant which can be used with the protocol property of a CreateHttpMonitorDetails. This constant has a value of “HTTP”
- PROTOCOL_HTTPS = 'HTTPS'¶
A constant which can be used with the protocol property of a CreateHttpMonitorDetails. This constant has a value of “HTTPS”
- __init__(**kwargs)¶
Initializes a new CreateHttpMonitorDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
compartment_id (str) – The value to assign to the compartment_id property of this CreateHttpMonitorDetails.
targets (list[str]) – The value to assign to the targets property of this CreateHttpMonitorDetails.
vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this CreateHttpMonitorDetails.
port (int) – The value to assign to the port property of this CreateHttpMonitorDetails.
timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this CreateHttpMonitorDetails.
protocol (str) – The value to assign to the protocol property of this CreateHttpMonitorDetails. Allowed values for this property are: “HTTP”, “HTTPS”
method (str) – The value to assign to the method property of this CreateHttpMonitorDetails. Allowed values for this property are: “GET”, “HEAD”
path (str) – The value to assign to the path property of this CreateHttpMonitorDetails.
headers (dict(str, str)) – The value to assign to the headers property of this CreateHttpMonitorDetails.
display_name (str) – The value to assign to the display_name property of this CreateHttpMonitorDetails.
interval_in_seconds (int) – The value to assign to the interval_in_seconds property of this CreateHttpMonitorDetails.
is_enabled (bool) – The value to assign to the is_enabled property of this CreateHttpMonitorDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this CreateHttpMonitorDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this CreateHttpMonitorDetails.
- property compartment_id¶
[Required] Gets the compartment_id of this CreateHttpMonitorDetails. The OCID of the compartment.
- Returns
The compartment_id of this CreateHttpMonitorDetails.
- Return type
str
- property defined_tags¶
Gets the defined_tags of this CreateHttpMonitorDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {“Operations”: {“CostCenter”: “42”}}
- Returns
The defined_tags of this CreateHttpMonitorDetails.
- Return type
dict(str, dict(str, object))
- property display_name¶
[Required] Gets the display_name of this CreateHttpMonitorDetails. A user-friendly and mutable name suitable for display in a user interface.
- Returns
The display_name of this CreateHttpMonitorDetails.
- Return type
str
- property freeform_tags¶
Gets the freeform_tags of this CreateHttpMonitorDetails. Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {“Department”: “Finance”}
- Returns
The freeform_tags of this CreateHttpMonitorDetails.
- Return type
dict(str, str)
- property headers¶
Gets the headers of this CreateHttpMonitorDetails. A dictionary of HTTP request headers.
Note: Monitors and probes do not support the use of the Authorization HTTP header.
- Returns
The headers of this CreateHttpMonitorDetails.
- Return type
dict(str, str)
- property interval_in_seconds¶
[Required] Gets the interval_in_seconds of this CreateHttpMonitorDetails. The monitor interval in seconds. Valid values: 10, 30, and 60.
- Returns
The interval_in_seconds of this CreateHttpMonitorDetails.
- Return type
int
- property is_enabled¶
Gets the is_enabled of this CreateHttpMonitorDetails. Enables or disables the monitor. Set to ‘true’ to launch monitoring.
- Returns
The is_enabled of this CreateHttpMonitorDetails.
- Return type
bool
- property method¶
Gets the method of this CreateHttpMonitorDetails. Allowed values for this property are: “GET”, “HEAD”
- Returns
The method of this CreateHttpMonitorDetails.
- Return type
str
- property path¶
Gets the path of this CreateHttpMonitorDetails. The optional URL path to probe, including query parameters.
- Returns
The path of this CreateHttpMonitorDetails.
- Return type
str
- property port¶
Gets the port of this CreateHttpMonitorDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.
- Returns
The port of this CreateHttpMonitorDetails.
- Return type
int
- property protocol¶
[Required] Gets the protocol of this CreateHttpMonitorDetails. Allowed values for this property are: “HTTP”, “HTTPS”
- Returns
The protocol of this CreateHttpMonitorDetails.
- Return type
str
- property targets¶
[Required] Gets the targets of this CreateHttpMonitorDetails. A list of targets (hostnames or IP addresses) of the probe.
- Returns
The targets of this CreateHttpMonitorDetails.
- Return type
list[str]
- property timeout_in_seconds¶
Gets the timeout_in_seconds of this CreateHttpMonitorDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.
- Returns
The timeout_in_seconds of this CreateHttpMonitorDetails.
- Return type
int
- property vantage_point_names¶
Gets the vantage_point_names of this CreateHttpMonitorDetails. A list of names of vantage points from which to execute the probe.
- Returns
The vantage_point_names of this CreateHttpMonitorDetails.
- Return type
list[str]